summaryrefslogtreecommitdiff
path: root/app-misc/actkbd/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-misc/actkbd/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-misc/actkbd/files')
-rw-r--r--app-misc/actkbd/files/actkbd-0.2.7-amd64.patch38
-rw-r--r--app-misc/actkbd/files/actkbd.confd12
-rw-r--r--app-misc/actkbd/files/actkbd.initd31
3 files changed, 81 insertions, 0 deletions
diff --git a/app-misc/actkbd/files/actkbd-0.2.7-amd64.patch b/app-misc/actkbd/files/actkbd-0.2.7-amd64.patch
new file mode 100644
index 000000000000..b962d7e861a7
--- /dev/null
+++ b/app-misc/actkbd/files/actkbd-0.2.7-amd64.patch
@@ -0,0 +1,38 @@
+# Try to fix pointer assigned to int and vice-versa problems. Written by Joe Pelkey.
+
+diff -ru actkbd-0.2.7.orig/actkbd.h actkbd-0.2.7/actkbd.h
+--- actkbd-0.2.7.orig/actkbd.h 2006-05-02 13:24:01.000000000 -0400
++++ actkbd-0.2.7/actkbd.h 2006-10-27 03:37:37.000000000 -0400
+@@ -122,7 +122,7 @@
+ typedef struct _attr_t attr_t;
+ struct _attr_t {
+ int type; /* Attribute type */
+- void *opt; /* Options for this attribute */
++ int opt; /* Options for this attribute */
+ attr_t *next; /* The next node */
+ };
+
+diff -ru actkbd-0.2.7.orig/config.c actkbd-0.2.7/config.c
+--- actkbd-0.2.7.orig/config.c 2006-08-20 07:05:36.000000000 -0400
++++ actkbd-0.2.7/config.c 2006-10-27 03:55:21.000000000 -0400
+@@ -107,7 +107,7 @@
+ strtolower(attrs);
+ while ((tmp = strsep(&attrs, ", \t")) != NULL) {
+ int type = -1;
+- void *opt = NULL;
++ int opt = 0;
+ char *num = NULL;
+
+ if (strlen(tmp) == 0)
+@@ -174,9 +174,9 @@
+
+ errno = 0;
+ if (strlen(num) > 0) {
+- opt = (void *)((int)strtol(num, (char **)NULL, 10));
++ opt = ((int)strtol(num, (char **)NULL, 10));
+ } else {
+- opt = (void *)((int)(-1));
++ opt = ((int)(-1));
+ }
+
+ if (((int)opt < 0) &&
diff --git a/app-misc/actkbd/files/actkbd.confd b/app-misc/actkbd/files/actkbd.confd
new file mode 100644
index 000000000000..5c67b5151717
--- /dev/null
+++ b/app-misc/actkbd/files/actkbd.confd
@@ -0,0 +1,12 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# Configuration file
+CONFIG="/etc/actkbd.conf"
+
+# Event provider providing the keypress events
+EVENT_DEVICE="/dev/input/<DEVICE>"
+
+# PID
+PIDFILE="/var/run/actkbd.pid"
+
diff --git a/app-misc/actkbd/files/actkbd.initd b/app-misc/actkbd/files/actkbd.initd
new file mode 100644
index 000000000000..bb03870adb2f
--- /dev/null
+++ b/app-misc/actkbd/files/actkbd.initd
@@ -0,0 +1,31 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+checkconfig() {
+ if [ ! -f ${CONFIG} ] ; then
+ eerror "Config file \"${CONFIG}\" does not exist. Create it prior launching the daemon."
+ return 1
+ fi
+ if [ ! -c ${EVENT_DEVICE} ] ; then
+ eerror "Device \"${EVENT_DEVICE}\" is not valid pointer to input provider."
+ return 1
+ fi
+}
+
+depend() {
+ before acpid
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting actkbd"
+ start-stop-daemon --start --quiet --pidfile ${PIDFILE} --exec /usr/bin/actkbd -- -c "${CONFIG}" -D -q -x -l -p "${PIDFILE}" -d "${EVENT_DEVICE}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping actkbd"
+ start-stop-daemon --stop --quiet --pidfile ${PIDFILE} --exec /usr/bin/actkbd
+ eend $?
+}